// ignore_for_file: constant_identifier_names

import 'package:fis_jsonrpc/rpc.dart';
import 'package:get/get.dart';

/// 需要在主项目先 Put，需要随时维护 token
class RPCBridge {
  static RPCBridge get ins => Get.find<RPCBridge>();

  final JsonRpcProxy _rpc;
  String _userToken = "";
  RPCBridge(this._rpc, this._userToken);

  JsonRpcProxy get rpc => _rpc;

  String get token => _userToken;

  setToken(String token) {
    _userToken = token;
  }
}
